<?php
/*******************************************************************************
**  The following are parameters for the ReMOSef Search Engine
**  Optimisation component.  $_SEF_SPACE should be set to the
**  character that is to replace blanks in names that form the URL.
**  You can vary this, although the only sensible choices seem to be
**  underscore or hyphen (_ or -).
**
**  The arrays $custom_code and $custom_name must be kept exactly
**  in step with each other.  $custom_code is a list of the components
**  that are to be handled by ReMOSef.
**
**  The array $custom_name is the alternative name that will be used
**  in the optimised URL to identify the component and can be whatever
**  you please so long as it is unique and legal for a URL.  Apart from
**  using the custom name for the component, ReMOSef will do no further
**  translation of the URL than is done by the standard Mambo SEF - UNLESS
**  there is a sef_ext.php file installed for that component.  The
**  exception to this is ReMOSitory - the optimisation code for Remository
**  is integrated in ReMOSef.  For other components, if a sef_ext.php is
**  present, it will be invoked by ReMOSef.
**

**  The array $remosef_content_task is capable of translating the tasks
**  understood by the Mambo content component.  Please DO NOT CHANGE what
**  is to the left of the equals sign.  When putting different values on
**  the right hand side, remember that they must all be different, and must
**  also be different from any of the custom names used for components.
**  Without that, Remosef cannot figure out what a SEF URL means and will
**  give unpredictable results.
*******************************************************************************
Hack di www.minidesign.it - versione aggiornata al 6/3/2006

*******************************************************************************/

global $custom_code, $custom_name, $remosef_content_task, $remository_sef_name_chars, $remository_sef_translate_chars, $_SEF_SPACE;

$_SEF_SPACE = "-";					// divide words with underscores
						// can be changed to a hyphen "-"

$custom_code = array('com_remository','com_simpleboard','com_frontpage','com_contact','com_mrecommend','com_graphitory');
$custom_name = array('Remository','Forum','Homepage','Contatti','Segnala-ad-un-amico','Graphitory');

$remosef_content_task['findkey'] = 'findkey';
$remosef_content_task['view'] = 'apri';
$remosef_content_task['section'] = 'sez';
$remosef_content_task['category'] = 'cat';
$remosef_content_task['blogsection'] = 'sez-blog';
$remosef_content_task['blogcategorymulti'] = 'blogcategorymulti';
$remosef_content_task['blogcategory'] = 'cat-blog';
$remosef_content_task['archivesection'] = 'sez-archivio';
$remosef_content_task['archivecategory'] = 'cat-archivio';
$remosef_content_task['save'] = 'salva';
$remosef_content_task['cancel'] = 'cancella';
$remosef_content_task['emailform'] = 'emailform';
$remosef_content_task['emailsend'] = 'emailsend';
$remosef_content_task['vote'] = 'vote';
$remosef_content_task['showblogsection'] = 'mostra-sez-blog';

/*******************************************************************************
**  The following are the parameters for the Remository specific
**  URL optimisation.
**
**  First, the definition of _REMOSITORY_SELECT_FROM_CONTAINER defines what
**  word will be used to identify the core functions of ReMOSitory - the
**  display of information about a category/folder or the detailed file
**  information page.  You can vary the word according to your requirements,
**  although it must not duplicate any of the other ReMOSitory function
**  codes.  (If in doubt ask martin@remository.com).
**
**  The following two lines define the translations that ReMOSef will perform
**  on names of folders and files when translating them for inclusion in a URL.
**  Each item in $remository_sef_name_chars is translated into the corresponding
**  element of $remository_sef_translate_chars.
**
**  NOTE it is important that space be the last translate character, since the
**  characters are processed in the order in which they appear.  Since earlier
**  translates may create new spaces, it is vital that the space translation is
**  done last.
**
**  You can extend these arrays as you wish, although it is obviously important
**  to make sure that the items of one match the items of the other exactly.
*******************************************************************************/
DEFINE('_REMOSITORY_SELECT_FROM_CONTAINER','Download');
$remository_sef_name_chars = array('&', '/', '', '', '', '', '', '', ':', '\'', '"', '!', '?', '.', '(', ')', ',', ' ');
$remository_sef_translate_chars = array('e', '-', 'a', 'o', 'e', 'e', 'i', 'u', '', '-', '', '', '' ,'' ,'' ,'', '', $_SEF_SPACE);
?>